Skip to main content
POST
/
accounts
Search for accounts
curl --request POST \
  --url https://api.getpg.ai/v1/accounts \
  --header 'Content-Type: application/json' \
  --header 'X-Api-Key: <api-key>' \
  --data '
{
  "industry": "<string>",
  "employee_size_category": "<string>",
  "revenue_category": "<string>",
  "country": "<string>",
  "company_name": "<string>",
  "page": 0,
  "per_page": 0,
  "public_company": true,
  "offset": 0
}
'
{
  "items": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "company_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "company_name": "<string>",
      "domain": "<string>",
      "website": "<string>",
      "public_company": true,
      "industry": "<string>",
      "employee_size_category": "<string>",
      "revenue_category": "<string>",
      "country": "<string>",
      "website_domain": "<string>",
      "country_code": "<string>",
      "linkedin_url": "<string>",
      "hq_city": "<string>",
      "hq_state": "<string>",
      "hq_address": "<string>",
      "hq_postcode": "<string>",
      "hq_country_name": "<string>",
      "region": "<string>",
      "ceo": "<string>",
      "sector": "<string>",
      "revenue_range": "<string>",
      "employee_count_range": "<string>",
      "full_time_employees": 123,
      "alternative_domains": [
        "<string>"
      ],
      "alternative_names": [
        "<string>"
      ],
      "tags": [
        "<string>"
      ],
      "description": "<string>",
      "stock_ticker": "<string>",
      "market_cap": 123,
      "stock_currency": "<string>",
      "stock_exchange_name": "<string>",
      "stock_exchange_symbol": "<string>"
    }
  ],
  "pagination": {
    "page": 123,
    "per_page": 123,
    "total": 123,
    "total_items": 123,
    "total_pages": 123,
    "has_next": true,
    "has_previous": true
  },
  "request": {
    "industry": "<string>",
    "employee_size_category": "<string>",
    "revenue_category": "<string>",
    "country": "<string>",
    "public_company": true,
    "company_name": "<string>",
    "page": 123,
    "per_page": 123
  }
}

Authorizations

X-Api-Key
string
header
required

Your API key for authentication. Get your API key from the PGAI dashboard.

Body

application/json
industry
string

Filter by industry

employee_size_category
string

Filter by employee size category

revenue_category
string

Filter by revenue category

country
string

Filter by country

company_name
string

Filter by company name

page
integer
default:0

Page number

per_page
integer
default:0

Items per page

public_company
boolean

Filter by public company status

offset
integer
default:0

Offset for pagination

Response

Success

Response from accounts search endpoint

items
object[]
required

Array of company/account items

pagination
object
required

Pagination information

request
object

Request parameters used for the search